> For the complete documentation index, see [llms.txt](https://docs.navigaglobal.com/dashboard-plugin/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.navigaglobal.com/dashboard-plugin/api-and-gui/api/haspermission.md).

# hasPermission

hasPermission is a helper function to check for signed in users permissions.

This method is built along with Permissions to check for the configured permissions for mapped ids

{% content-ref url="/pages/-LpZng1MX0mB\_mH3mPXC" %}
[Permissions](/dashboard-plugin/api-and-gui/api/register/permissions.md)
{% endcontent-ref %}

hasPermission is a function that takes in the ID for the permission you want to match against, then checks which roles are mapped to it and determines if the current user has this role, then returns a boolean value depending on the outcome.

## How to use

```jsx
import { Plugin } from '@root'

import CreateButton from '@components/CreateButton'
import UpdateButton from '@components/UpdateButton'

import {
    Wrapper
} from './style'

const MyApplication = () => {
    return (
        <Wrapper>
            {
                Plugin.hasPermission('PERMISSION_TO_CREATE_ID') && (
                    <CreateButton/>
                )
            }
            
            {
                Plugin.hasPermission('PERMISSION_TO_UPDATE_ID') && (
                    <UpdateButton/>
                )
            }
        </Wrapper>
    )
}

export {
    MyApplication
}
```

{% hint style="info" %}
PERMISSION\_TO\_CREATE\_ID and PERMISSION\_TO\_UPDATE\_ID are ids that has been registered with permissionKeys with Plugin.register() method
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.navigaglobal.com/dashboard-plugin/api-and-gui/api/haspermission.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
